function V=TVAR1_M2(T, sigma, initial)
% NAME            : AR1_Simple.m
% Original name   : AR1.m
% Description     : Generate simple Gaussian AR(1) without controlling the variance.
%                   I.e., it is a Gaussina AR with sigma^2=1. 
% Usage           : function y=AR1_Simple(T,a)
% Input           : T - Sample size
% Input           : alpha - Autoregressive coefficient
% Input           : sigma - standard deviation of AR(1) process
% Output          : y - Vector of AR1
% Note            : sigma is std. dev. NOT variance
%==========================================================================
% AUTHOR          : ALESSANDRO CASINI
% Email           : acasini@bu.edu  
% Date            : First version: 11/30/2015
%==========================================================================
% DISCLAIMER       
%==========================================================================  
% Please let me know if you find any bugs or encounter any problems while 
% using this code. All feedback is appreciated.
% @copyright, 2015

%==========================================================================
% DESCRIPTIONS 
%==========================================================================

%==========================================================================
% COMMENTS
%==========================================================================

%% ========================================================================
%             Preliminaries
%  ========================================================================
e = randn(T+1,1);
y(1,1)=sigma*randn;
%y(1,1)=initial;
for t=1:T+1
    %alpha(i)=-1.8*(cos(1.5-cos(4*3.14*i/T/2)));
    %alpha(i)=-0.8*(cos(1.5-cos(6*i/T/2)));
    alpha(t)=0.85*(cos(1.5*t/T)); %    alpha(t)=0.7*(cos(1.5*t/T));
    %alpha(t)=max(0, alpha(t));
    %alpha(t)=0;
    %alpha(t)=max(alpha(t),0);
    %sigma_t(t) = 0.7*(cos(1*t/T));
    %sigma_t(t) = sqrt(0.4);
    
end
sigma_t(1:T+1,1)=sigma;
%sigma_t(1:4,1)=sigma1;
alpha'
%max(alpha)
%min(alpha)
%alpha
%alpha(150)
%figure()
%plot(alpha)

for t=2:T+1

    y(t,1)=alpha(t)*y(t-1,1) + sigma_t(t)*e(t,1);
end
%for i=T-floor(T/4):T
%    y(i,1) = y(i,1)+  e(i,1);
%end

V=y(2:T+1);
%figure();
%plot(V);
