function st=bandw_NW(vhat)

% procedure that compute the automatic bandwidth based on AR(1)
% approximation for each vector of the matrix vhat. Each are given equal
% weight 1.
%n=ceil(nt^0.333);
[nt,d]=size(vhat);
n=ceil([4*(nt/100)^(2/9)]);
s0=0;
s1=0;
for i=1:d
    b=olsqr(vhat(2:nt,i),vhat(1:nt-1,i));
    sig0=(vhat(2:nt,i)-b*vhat(1:nt-1,i))'*(vhat(2:nt,i)-b*vhat(1:nt-1,i))/(nt-1);
    for j=1:n
        sig=(vhat(2+j:nt,i)-b*vhat(1+j:nt-1,i))'*(vhat(2+j-j:nt-j,i)-b*vhat(1+j-j:nt-j-1,i));
        sig(j)=sig/(nt-1);
        sig_j(j) = j*sig(j);
    end
    s1_new = 2*sum(sig_j);
    s0_new = sig0+2*sum(sig_j);
    s0= s0+ s0_new;
    s1= s1+ s1_new;
end
gamma_hat = 1.1447*( (s1/s0 )^2 )^(1/3);
st=gamma_hat*nt^(1/3);
