function cv = cv_fixedb_bartlett(alpha,b)
% copy from Table 1 of KV(2005)
% alpha: percentage point, only allows for 0.9, 0.95, 0.975, 0.99;
% b: smoothing parameter, allowing for vector
if alpha == 0.9
    cv = 1.2816 + 1.3040*b + 0.5135*b.^2 - 0.3386*b.^3;
elseif alpha == 0.95
    cv = 1.6449 + 2.1859*b + 0.3142*b.^2 - 0.3427*b.^3;
elseif alpha == 0.975
    cv = 1.9600 + 2.9694*b + 0.4160*b.^2 - 0.5324*b.^3;
elseif alpha == 0.99
    cv = 2.3263 + 4.1618*b + 0.5368*b.^2 - 0.9060*b.^3;
else
    disp("error: alpha can only be set as 0.9, 0.95, 0.975, 0.99")

end