function Sigma_hat = tvnw_rectangular(V)
%input: V is a T-dimensional column vector
%       u is the timing index, column vector
%output: the newey west HAC covariance estimator
T = size(V,1);
Ts = 1000;
h2 = T^(-1/3); %-1/5
h1 = (T*h2)^(-4/5);%1/3
u = ((1:Ts)/Ts)';
M = floor((h1^-1));
N = size(u,1);
n2=floor(T*h2);
localcov = zeros(N,M+1);
Sigma_hat=zeros(N,1);
for s=1:Ts
    t=floor(s/Ts*T);
    if t<1
        t=1;
    elseif t>T
        t=T;
    end
    Lb=t-floor(n2/2);
    Ub=t+floor(n2/2)+1;
    if Lb<1
        t=floor(n2/2)+1;
    elseif Ub>T
        t=T-floor(n2/2)-1;
    end
    Lb=t-floor(n2/2);
    Ub=t+floor(n2/2)+1;
    Sigma2_hat=nw(V(Lb:Ub,1), M);
    Sigma_hat(s,1)=real(sqrt(Sigma2_hat));
    end
end