function Sigma = tvnw_symm(V)
%input: V is a T-dimensional column vector
%       u is the timing index, column vector
%output: the newey west HAC covariance estimator
T = size(V,1);
Ts = 1000;
h2 = T^(-1/3); % 1/5
h1 = (T*h2)^(4/5);   %1/2
%h1 = 1.1447*(T*h2)^(1/3);
u = ((1:Ts)/Ts)';
M = floor(h1);
localcov = zeros(Ts,M+1);
k = 0;
s = (abs(k)+1):T;
W = (floor(T*u)*ones(1,T-abs(k))-(ones(Ts,1)*s-abs(k)/2))/(T*h2);
%K = 6*W.*(1-W).*(W>=0).*(W<=1);
K = 6*max((1/4-W.^2),0);
VV = ones(Ts,1)*V(abs(k)+1:T)';
localcov(:,1) = (K.*VV*V(1:T-k))/(T*h2);%%
G = localcov(:,1);
for k = 1:M
    s = (abs(k)+1):T;
    W = (floor(T*u)*ones(1,T-abs(k))-(ones(Ts,1)*s-abs(k)/2))/(T*h2);
    %K = 6*W.*(1-W).*(W>=0).*(W<=1);
    K = 6*max((1/4-W.^2),0);
    VV = ones(Ts,1)*V(abs(k)+1:T)';
    localcov(:,k+1) = (K.*VV*V(1:T-k))/(T*h2);%%
    G = G + 2*(1-abs(k/(M+1)))*localcov(:,k+1);
end
Sigma = sqrt(G);
Sigma = real(Sigma);  %%%
end